Bug 441692 - (CVE-2008-1722) CVE-2008-1722 cups: integer overflow in the image filter
CVE-2008-1722 cups: integer overflow in the image filter
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=vendor-sec,reported=20080409,p...
: Reopened, Security
Depends On: 443133 443134 443135 445801 445802 445803 445889 445891
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 10:51 EDT by Tomas Hoger
Modified: 2016-03-04 07:42 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.3.7-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 15:04:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-09 10:51:54 EDT
Thomas Pollet reported an integer overflows leading to a heap overflow in the
CUPS' image filter:

  http://www.cups.org/str.php?L2790

  filter/image-png.c:

  img->xsize * img->ysize may overflow (CUPS_IMAGE_MAX_WIDTH and
  CUPS_IMAGE_MAX_HEIGHT are too big for multiplication).

  malloc(img->xsize * img->ysize * 3) can result in a buffer that's too small.

Upstream patch: http://www.cups.org/strfiles/2790/str2790.patch
Comment 4 Tomas Hoger 2008-04-11 03:00:03 EDT
CVE-2008-1722:

Multiple integer overflows in (1) filter/image-png.c and (2)
filter/image-zoom.c in CUPS 1.3 allow attackers to cause a denial of
service (crash) and trigger memory corruption, as demonstrated via a
crafted PNG image.
Comment 6 Josh Bressers 2008-04-16 10:41:39 EDT
This issue affects Red Hat Enterprise Linux 3, 4, and 5.
Comment 15 Tomas Hoger 2008-04-23 03:21:29 EDT
As for vector (2) - image-zoom.c - is not an issue, according to upstream analysis:

CUPS_IMAGE_MAX_WIDTH is 2^27-1, so it is impossible to overflow on
32-bit systems.
Comment 18 Fedora Update System 2008-05-09 07:08:38 EDT
cups-1.3.7-2.fc8 has been submitted as an update for Fedora 8
Comment 19 Fedora Update System 2008-05-09 07:14:33 EDT
cups-1.2.12-11.fc7 has been submitted as an update for Fedora 7
Comment 20 Fedora Update System 2008-05-09 07:23:44 EDT
cups-1.3.7-2.fc9 has been submitted as an update for Fedora 9
Comment 22 Fedora Update System 2008-05-10 09:54:04 EDT
cups-1.3.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2008-05-10 09:55:43 EDT
cups-1.2.12-11.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2008-05-13 11:24:47 EDT
cups-1.3.7-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.